
package de.ivu.elect.presentation.gruppe.table;

import static org.apache.commons.lang3.StringUtils.trimToEmpty;

import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public abstract class AbstractGruppeKumulierteStimmenAnzahlColumn extends AbstractGruppeKumulierteStimmenColumn {

  private static final long serialVersionUID = 1L;

  public AbstractGruppeKumulierteStimmenAnzahlColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return AbstractGruppeKumulierteStimmenColumn.STIMMEN_ANZAHL_COLUMN_TYPE;
  }

  @Override
  public String getStyleClass() {
    return trimToEmpty(super.getStyleClass()) + " " + AbstractGruppeKumulierteStimmenColumn.ANZAHL_COLUMN_STYLE_CLASS;
  }
}
